> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oynk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get synchronization run

> Operational endpoint; restrict at the deployment boundary.



## OpenAPI

````yaml /reference/openapi.yaml get /sync/runs/{id}
openapi: 3.1.0
info:
  title: Oynk Activity API
  version: 1.1.0
  description: >-
    Read-only aggregate onchain and privacy-safe offchain settlement activity,
    plus restricted synchronization operations.
servers:
  - url: /api
security: []
paths:
  /sync/runs/{id}:
    get:
      summary: Get synchronization run
      description: Operational endpoint; restrict at the deployment boundary.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Synchronization run
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          description: Run not found
components:
  responses:
    BadRequest:
      description: Invalid request

````